Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming
Class ContextNotEmptyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.naming.NamingException
                        |
                        +--javax.naming.ContextNotEmptyException

All Implemented Interfaces:
  Serializable

public class ContextNotEmptyException
extends NamingException

This exception is thrown when attempting to destroy a context that is not empty.

If the program wants to handle this exception in particular, it should catch ContextNotEmptyException explicitly before attempting to catch NamingException. For example, after catching ContextNotEmptyException, the program might try to remove the contents of the context before reattempting the destroy.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  `Context.destroySubcontext(javax.naming.Name)`, Serialized Form

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`ContextNotEmptyException()` Constructs a new instance of ContextNotEmptyException with all name resolution fields and explanation initialized to null.
`ContextNotEmptyException(String explanation)` Constructs a new instance of ContextNotEmptyException using an explanation.

Methods inherited from class javax.naming.NamingException
`appendRemainingComponent, appendRemainingName, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, printStackTrace, printStackTrace, printStackTrace, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextNotEmptyException

    public ContextNotEmptyException(String explanation)

  Constructs a new instance of ContextNotEmptyException using an explanation. All other fields default to null.
  Parameters:
    `explanation` - Possibly null string containing additional detail about this exception.
  See Also:
    `Throwable.getMessage()`

### ContextNotEmptyException

    public ContextNotEmptyException()

  Constructs a new instance of ContextNotEmptyException with all name resolution fields and explanation initialized to null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.